Skip to main content

Get Posts of a Specific LinkedIn Profile

POST /api/v1/get_posts

This API allows the authenticated user to retrieve posts published by a specific LinkedIn profile.

What is a slug?

A slug is the unique identifier extracted from the LinkedIn post URL.

How to obtain the slug

  1. Open LinkedIn.
  2. Select the post you want to fetch.
  3. Copy the URL of the post.
  4. Example:
https://www.linkedin.com/posts/jignesh-gilatar_visualpuzzle-brainteaser-logicgame-share-7396744346366181376-z5su?utm_source=share&utm_medium=member_desktop&rcm=ACoAAF1p6hMB1IK7DILJJQmWmaKxqUzme4y72jI
  1. The slug will be the long string after the username: jignesh-gilatar_visualpuzzle-brainteaser-logicgame-share-7396744346366181376-z5su

Group Posts

If the LinkedIn post belongs to a group, then: is_group should be set to true.

Headers

NameTypeRequired
x-api-keystringYes
x-api-secretstringYes

Request Body

Schema

accountIdstringrequiredThe unique identifier of the WeLink account.
slugstringrequiredURL slug or alias.
is_groupbooleanrequiredBoolean indicating if the target is a group.

Sample Request

{
"accountId": "string",
"slug": "string",
"is_group": false
}

Responses

Webhook Events

Schema

statusstringStatus indicating the request completed successfully (e.g. "SUCCESS").
requestIdstringUnique identifier for the request.
resultobjectThe response payload.

Sample Response

{
"status": "string",
"requestId": "string",
"result": {
"likes": 0,
"comments": 0,
"shares": 0,
"impressions": null,
"reaction_type_counts": [
{
"reaction_type": "string",
"count": 0
}
],
"highlighted_reactor_name": null,
"highlighted_reactor_profile_id": null,
"slug": "string"
}
}
POST/api/v1/get_posts
x-api-key
x-api-secret